<!DOCTYPE html>
<html lang="zh">
<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"> 
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>用户中心</title>
	<!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="css/normalize.css" />
	<link rel="stylesheet" type="text/css" href="css/htmleaf-demo.css">
	<link rel="stylesheet" type="text/css" href="css/login.css">
</head>
<body>

    <div class="container col-lg-12 block">
        
        <div class="row col-xs-4 block2 center">
            
			<div class="form-group">
				<a href="#"><img id="user_img" class="img-circle" src="http://127.0.0.1:8080/web/pic/default.png" alt="头像" style="width: 100px;" data-toggle="modal" data-target="#myModal"/></a>
			</div>
            <form  class="form-horizontal" role="form" align="center">
            <div class="form-group" >
                <label class="control-label col-sm-3"  for="username">用户名</label>
                <div class="col-sm-6 col-xs-6">
                    <input type="text" name="username" id="username" placeholder="用户名" required="true" class="form-control" readonly/>
                </div>
            </div>  
            <div class="form-group">
                <label class="control-label col-sm-3" for="nickname">昵称</label>
                <div class="col-sm-6 col-xs-6">            
                    <input type="text" name="nickname" id="nickname" placeholder="昵称" required="true" class="form-control"/> 
                </div>
            </div>
            <div class="form-group" style="display: none;">
                <div class="col-sm-6 col-xs-6">            
                    <input type="text" name="token" id="restoken" required="true" class="form-control"/>
                </div>
            </div>
            <div class="form-group"> 
                <div class="col-sm-offset-2 col-sm-8">  
                    <button id="modify" class="btn btn-primary mb-2">提交修改</button>
                </div>
            </div>

				<div>
					<button id="logout" class="btn btn-primary mb-2">退出登录</button>
				</div>
        </form>
        </div>
            
    </div><!-- /.container -->

		<div class="footer ">
			<div class="footer-bd ">
				<p>
					<em>Entry task by JinMing.</em>
				</p>
			</div>
		</div>
	</div>

	<div class="modal fade" id="myModal" tabindex="-1" role="dialog">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
					<h4 class="modal-title">修改头像</h4>
				</div>
				<div class="modal-body">
					<form action="http://127.0.0.1:8080/alterpic/" method="post" enctype="multipart/form-data"  id="uploadPicForm">
						<div class="form-group">
							<label for="exampleInputFile">选择头像</label>
							<input type="file" id="image" name="image">
							<input type="hidden" id="imageuser" name="username">
							<input type="hidden" id="imagetoken" name="imagetoken">
						</div>
					</form>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">关闭</button>
					<button type="button" id="submit_pic" class="btn btn-primary">提交</button>
				</div>
			</div>
			<!-- /.modal-content -->
		</div>
		<!-- /.modal-dialog -->
	</div>
	
	<!-- <script src="http://libs.useso.com/js/jquery/2.1.1/jquery.min.js" type="text/javascript"></script> -->
	<!-- <script>window.jQuery || document.write('<script src="js/jquery-2.1.1.min.js"><\/script>')</script> -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js"></script>
	<script type="text/javascript">
	function modify()
	{
		//var token = window.localStorage["token"];
		var username=$("#username").val();
		var nickname=$("#nickname").val();
		var token=$("#restoken").val();

		if(nickname.length < 4 || nickname.length > 256){
		    alert("昵称长度需大于4字符！")
		　　return ;
		}
		$.ajax({
			type: "POST",
			url: "http://127.0.0.1:8080/alternickname/",
			dataType: "json",
			data: {
				"username": username,
				"nickname": nickname,
				"token":token
			},
			success: function(data) {
				if(data.code == 1000) {
					alert("修改成功！");
				} else {
					alert("修改失败: " + data.msg);
					if(data.code == 1006 || data.code == 1007){
						window.location.href = "login.html";
					}

				}
			},
			error: function(data) {
				alert("修改失败");
				console.dir(data)
			}
		});
	}
	$(function(){
		$("#modify").click(function(){
			modify();
			return false;
		})
	})

	$("#logout").click(function () {
		var username=$("#username").val();
		var token=$("#restoken").val();
		$.ajax({
			type: "POST",
			dataType: "json",
			url: "http://127.0.0.1:8080/logout/",
			data: {
				"username": username,
				"token" : token
			},
			success: function (data) {
				if(data.code == 1000)
				{
		//			alert("退出成功");
					window.location.href = "login.html";
				} else {
					$.alert(data.msg);
				}
			},
			error: function() {
				$.toptip("网络异常");
			}
		})
	})

	jQuery(document).ready(function() {
			var infotoken = window.localStorage["token"];
			var username = window.localStorage["username"];
			$.ajax({
				type: "POST",
				url: "http://127.0.0.1:8080/userinfo/",
				dataType: "json",
				data: {
					"username": username,
					"token":infotoken
				},
				success: function(data) {
					if(data.code == 1000) {
						load(data, infotoken);
					}else{
						alert(data.msg);
						window.location.href = "login.html";
					}
				
				},
				error: function(data) {
					alert("获取用户信息失败，原因为:" + data.msg);
				}
			});

		});

	function load(data,infotoken) {
		//alert(data.Data.UserInfo.Username);
		$("#username").attr("value", data.data.UserInfo.Username);
		$("#nickname").attr("value", data.data.UserInfo.Nickname);
		$("#restoken").attr("value", infotoken);
		$("#user_img").attr("src", "http://127.0.0.1:8080/" + data.data.UserInfo.Picture)
	}

	// function alterpic()
	// {
	// 	alert("ok2");
		// var imagetoken = $("#imagetoken").val($("#restoken").val());
		// var username = $("#imagetoken").val($("#restoken").val());
		// var image = $("#image").val();
		// var username = $("#username").val();
		// var token = $("#restoken").val();

	// 	$.ajax({
	// 		type: "POST",
	// 		url: "http://127.0.0.1:8080/alterpic/",
	// 		dataType: "json",
	// 		data: {
	// 				$("#imagetoken").val($("#restoken").val())
	// 				$("#imageuser").val($("#username").val())
	// 				$("#uploadPicForm").submit()
	// 		},
	// 		success: function(data) {
	// 			if(data.code == 1000) {
	// 				alert("修改成功！");
	// 				window.location.href = "usercenter.html";
	// 			} else {
	// 				alert("修改失败: " + data.msg);
	// 			}
	// 		},
	// 		error: function(data) {
	// 			alert("修改失败");
	// 			console.dir(data)
	// 		}
	// 	});
	// }
	// $(function(){
	// 	$(document).on("click", "#submit_pic", function() {
	// 		alert("ok");
	// 		alterpic();
	// 		return false;
	// 	})
	// })

	$("#submit_pic").on("click", function() {

		var token = window.localStorage["token"];
		$("#imagetoken").val($("#restoken").val())
		$("#imageuser").val($("#username").val())
		$("#uploadPicForm").submit()
	});
	</script>
</body>
</html>